Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.util.fst
Class FSTTester.InputOutput<T>

    java.lang.Object
      org.apache.lucene.util.fst.FSTTester.InputOutput<T>

All Implemented Interfaces:
  Comparable<FSTTester.InputOutput<T>>

Enclosing class:
  FSTTester<T>

    public static class FSTTester.InputOutput<T>

extends Object
implements Comparable<FSTTester.InputOutput<T>>

Holds one input/output pair.

Field Summary
`IntsRef` | `input`
`T` | `output`

Constructor Summary
`FSTTester.InputOutput(IntsRef input, T output)`

Method Summary
`int` | `compareTo(FSTTester.InputOutput<T> other)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### input

    public final IntsRef input

### output

    public final T output

Constructor Detail

### FSTTester.InputOutput

    public FSTTester.InputOutput(IntsRef input,
                                 T output)

Method Detail

### compareTo

    public int compareTo(FSTTester.InputOutput<T> other)

  Specified by:
    `compareTo` in interface `Comparable<FSTTester.InputOutput<T>>`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.